summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2015-10-16 13:55:45 +0200
committerMichał Górny <mgorny@gentoo.org>2015-10-16 13:55:45 +0200
commitec4aef14fbed3bc0aa7b990aa60242d0782e1061 (patch)
tree16d4d6069ac0b5fe20606138a78a93c58acbedc4 /net-libs
parentnet-libs/miniupnpc: Version bump to 1.9.20151008, bug #562684 (diff)
downloadgentoo-ec4aef14fbed3bc0aa7b990aa60242d0782e1061.tar.gz
gentoo-ec4aef14fbed3bc0aa7b990aa60242d0782e1061.tar.bz2
gentoo-ec4aef14fbed3bc0aa7b990aa60242d0782e1061.zip
net-libs/miniupnpc-1.9.20151008: reduce SONAME
Reduce the installed library SONAME since upstream bumped it unnecessarily when performing backwards-compatible API change. At least once we're saved from rebuilding every reverse dependency. Package-Manager: portage-2.2.23
Diffstat (limited to 'net-libs')
-rw-r--r--net-libs/miniupnpc/miniupnpc-1.9.20151008.ebuild7
1 files changed, 5 insertions, 2 deletions
diff --git a/net-libs/miniupnpc/miniupnpc-1.9.20151008.ebuild b/net-libs/miniupnpc/miniupnpc-1.9.20151008.ebuild
index b1a0589a45b9..7cc7e66c31c9 100644
--- a/net-libs/miniupnpc/miniupnpc-1.9.20151008.ebuild
+++ b/net-libs/miniupnpc/miniupnpc-1.9.20151008.ebuild
@@ -11,7 +11,7 @@ HOMEPAGE="http://miniupnp.free.fr/"
SRC_URI="http://miniupnp.free.fr/files/${P}.tar.gz"
LICENSE="BSD"
-SLOT="0/15"
+SLOT="0/14"
KEYWORDS="~amd64 ~arm ~hppa ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
IUSE="ipv6 kernel_linux static-libs"
@@ -22,7 +22,10 @@ src_prepare() {
epatch_user
# These bins are not installed, upnpc-static requires building static lib
- sed -i -e '/EXECUTABLES =/s/ upnpc-static listdevices//' Makefile || die
+ # Reduce APIVERSION used to build SONAME since last API change was
+ # backwards compatible to surprise of all the universe.
+ sed -i -e '/EXECUTABLES =/s/ upnpc-static listdevices//' \
+ -e '/APIVERSION/s:15:14:' Makefile || die
if ! use static-libs; then
sed -i \